### Method

# WebKit NetworkSession allow_tls_certificate_for_host

since: 2.40

#### Declaration [src]

    void
    webkit_network_session_allow_tls_certificate_for_host (
      WebKitNetworkSession* session,
      GTlsCertificate* certificate,
      const char* host
    )

#### Description [src]

Ignore further TLS errors on the `host` for the certificate present in `info`.

If `host` is an IPv6 address, it should not be surrounded by brackets. This expectation matches g_uri_get_host().

Available since: 2.40

#### Parameters

`certificate`

  Type: `GTlsCertificate`

  A `GTlsCertificate`.

  The data is owned by the caller of the method.

`host`

  Type: `const char*`

  The host for which a certificate is to be allowed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.